<template>
    <div>
      <CommonInfo :tradeData="tradeData"/>
      <div style="margin: 11px 30px;color: #1890ff;">部门长审核</div>
      <el-row style="margin-left:95px">
        <el-col :span="8">
          <div >
            <span style="color: #d0d0d0">买方经办人</span> {{tradeData.tradeTransactorName}}
          </div>
        </el-col>
        <el-col :span="8">
          <div >
            <span style="color: #d0d0d0">评分</span> {{tradeData.tradeScore}}
          </div>
        </el-col>
        <el-col :span="8">
          <div >
            <span style="color: #d0d0d0">交易成交价</span> {{tradeData.dealPrice}}
          </div>
        </el-col>
      </el-row>
      <el-row style="margin-left:95px;padding-top: 5px">
        <el-col :span="24">
          <span style="color: #d0d0d0">说明</span> {{tradeData.dealRemark}}
        </el-col>
      </el-row>

      <el-row style="margin-left:95px">
        <el-col :span="8" style="margin-top: 15px">
          <el-checkbox v-model="checked">我已知晓</el-checkbox>
        </el-col>
        <el-col :span="8" style="margin-top: 10px">
          <span style="margin: 0px 5px;">审批人</span>
          <el-input :value="$store.state.user.nickName" style="width: 130px" disabled/>
        </el-col>
      </el-row>
      <el-divider></el-divider>
    </div>
</template>

<script>
  import CommonInfo from "./CommonInfo";
  export default {
    name: "confirm",
    props:{
      tradeData: {
        type: Object
      }
    },
    components:{
      CommonInfo
    },
    data(){
      return{
        checked: false
      }
    },
    methods:{
      resetSuggestion(){
        this.checked = false;
      },
      checkParam(){
        if(!this.checked){
          this.$message.error("请勾选须知!");
          return true;
        }
        return false;
      },
      submitSuggestion(){
        return {tradeId:this.tradeData.tradeId,tradeStatus:"2",tradeDeptManagerId:this.$store.state.user.userId};
      }
    }
  }
</script>

<style scoped>

</style>
